export var BASE_CLASS_NAME = 'sui-MoleculePhotoUploader';
export var DROPZONE_CLASS_NAME = BASE_CLASS_NAME + "-dropzone";
export var THUMB_CLASS_NAME = BASE_CLASS_NAME + "-thumb";
export var THUMB_SORTABLE_CLASS_NAME = THUMB_CLASS_NAME + "--sortable";
export var DEFAULT_DRAG_DELAY_TIME = 100;
export var DEFAULT_IMAGE_ROTATION_DEGREES = 0;
export var DEFAULT_IMAGE_ASPECT_RATIO = 4 / 3;
export var DEFAULT_MAX_IMAGE_HEIGHT = 1080;
export var DEFAULT_MAX_IMAGE_WIDTH = DEFAULT_MAX_IMAGE_HEIGHT * DEFAULT_IMAGE_ASPECT_RATIO;
export var FORM_IMAGE_UPLOADER_DEFAULT_FORMAT_TO_BASE_64_OPTIONS = {
  rotation: DEFAULT_IMAGE_ROTATION_DEGREES,
  outputImageAspectRatio: DEFAULT_IMAGE_ASPECT_RATIO,
  maxImageHeight: DEFAULT_MAX_IMAGE_HEIGHT,
  maxImageWidth: DEFAULT_MAX_IMAGE_WIDTH
};
export var DEFAULT_FILE_TYPE_EXPORTED = 'image/jpeg';
export var DEFAULT_IMAGE_QUALITY_EXPORTED = 0.8;
export var DEFAULT_FILE_TYPES_ACCEPTED = 'image/jpeg, image/gif, image/png, image/webp, image/bmp';
export var DEFAULT_MAX_FILE_SIZE_ACCEPTED = 5e7;
export var DEFAULT_NOTIFICATION_ERROR = {
  isError: false,
  text: ''
};
export var DEFAULT_HAS_ERRORS_STATUS = false;
export var DRAG_STATE_STATUS_ACCEPTED = 'accepted';
export var DRAG_STATE_STATUS_REJECTED = 'rejected';
export var ROTATION_DIRECTION = {
  clockwise: 'clockwise',
  counterclockwise: 'counterclockwise'
};
export var REJECT_FILES_REASONS = {
  repeated: 'File already loaded.',
  fileType: 'Not accepted file type.',
  maxSize: 'Exceding max size of : ',
  loadFailed: 'Load failed, corrupt file.'
};